Mute Control
Examples for controlling channel and device mute states
Categories:
Channel Mute Control
Mute control allows you to silence individual channels or the entire device.
Get Channel Mute State
Check if a channel is currently muted:
curl -X 'GET' http://${IP}/rest-api/settings/channel/1/dsp/mute{
"value": false
}Mute a Single Channel
Mute a specific channel:
curl -X 'PUT' http://${IP}/rest-api/settings/channel/1/dsp/mute \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '{
"value": true
}'{
"value": true
}Unmute a Single Channel
Unmute a specific channel:
curl -X 'PUT' http://${IP}/rest-api/settings/channel/1/dsp/mute \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '{
"value": false
}'{
"value": false
}Mute Multiple Channels
Mute or unmute multiple channels in a single request:
curl -X 'PUT' http://${IP}/rest-api/settings/channel/ \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '[
{
"channel_id": 1,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 2,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 3,
"dsp": {
"mute": {
"value": true
}
}
}
]'[
{
"channel_id": 1,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 2,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 3,
"dsp": {
"mute": {
"value": true
}
}
}
]Toggle Mute for Multiple Channels
Toggle mute state for multiple channels (mute some, unmute others):
curl -X 'PUT' http://${IP}/rest-api/settings/channel/ \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '[
{
"channel_id": 1,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 2,
"dsp": {
"mute": {
"value": false
}
}
}
]'[
{
"channel_id": 1,
"dsp": {
"mute": {
"value": true
}
}
},
{
"channel_id": 2,
"dsp": {
"mute": {
"value": false
}
}
}
]Device Mute Control
Control the main device mute that affects all channels:
Get Device Mute State
curl -X 'GET' http://${IP}/rest-api/settings/device/dsp/mute{
"value": false
}Set Device Mute
curl -X 'PUT' http://${IP}/rest-api/settings/device/dsp/mute \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '{
"value": true
}'curl -X 'PUT' http://${IP}/rest-api/settings/device/dsp/mute \
-H 'Content-Type: application/json' \
-H 'token: f4005bf8507999192162d989d5a60823' \
-d '{
"value": false
}'Note: Device mute acts as a master mute control. When device mute is enabled, all channels are muted regardless of individual channel mute settings.